#include <iostream>

using namespace std;

class Retangulo {
  private:
    int x, y;
  public:
	Retangulo();
	Retangulo(int a, int b);
	int area (void);
	void inserir_lados (int a, int b);	
};

/** Método construtor que não recebe nenhum parâmetro. 
 *  Neste caso, definiu um valor padrão para x e y = 2; 
*/
Retangulo::Retangulo() {
	x = 0;
	y = 0;
}

/** Método construtor que recebe os valores dos lados
 *  e inicializa os atributos "x" e "y" com esses valores. 
 */
Retangulo::Retangulo(int a, int b) {
	inserir_lados (a, b);
}

int Retangulo::area (void) {
	return x * y;
}

void Retangulo::inserir_lados (int a,int b) {
	x = a; 
	y = b;
}

int main() {
	cout << "Digite o valor dos lados do retângulo:" << endl;
	int l1, l2; 
	cin >> l1 >> l2; 
	
	Retangulo ret(l1, l2);
	Retangulo re2;
	
	
	cout << "Área do retângulo: " << ret.area() << endl;
	/*
	Retangulo ret2; 
	cout << ret2.area();
	*/
	return 0;
}

